#
# rgy_backup_scrubber.pl - perl script to clean out registry data
# backup snapshots older than n days old (default = 3 days)
#
# Licensed Materials - Property of IBM
# Rational ClearCase
# (C) Copyright IBM Corp. 1996, 2014.  All Rights Reserved.
# US Government Users Restricted Rights
# Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#

#
# remove all snapshot files over $DAYS old 
#
$DAYS=3 ;

chdir "$ARGV[0]" || die "Can not chdir into $ARGV[0]: $! \n" ;
opendir(DIR, ".");
while ($nextfile = readdir(DIR)) {
    if (($nextfile eq ".") || ($nextfile eq "..")) {
        next;
    }
    if (-M $nextfile > $DAYS) {
	unlink($nextfile) || warn "Unable to delete $nextfile: $! \n";
    }
}
closedir(DIR);
__END__
